import { ReduxStateType } from '@harmowatch/redux-decorators';
import { ReduxSelector } from '../../selector';
export declare class ReduxSelectorCacheFactory {
    private static selectors;
    static clear(): void;
    static getOrCreate<T>(selector: string, stateProvider?: ReduxStateType): ReduxSelector<T>;
    static get<T>(selector: string, stateProvider?: ReduxStateType): ReduxSelector<T>;
    static set(reduxSelector: ReduxSelector<{}>, selector: string, stateProvider?: ReduxStateType): void;
    static has(selector: string, stateProvider?: ReduxStateType): boolean;
    private static getKey(selector, stateProvider?);
}
