import { ActionInterface } from '../../action/interface';
import { IRegisterStatePayload } from '../../registry';
import { ReduxRootState } from './state';
export declare class ReduxModuleRootReducer {
    static reduce(state: ReduxRootState, action: ActionInterface<{}>): ReduxRootState;
    static reduceRegisterState(state: ReduxRootState, action: ActionInterface<IRegisterStatePayload>): ReduxRootState;
    static reduceByRegisteredReducers(state: ReduxRootState, action: ActionInterface<{}>): ReduxRootState;
}
